/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: URLClient.java 63745 2011-10-14 12:37:24Z dougd $
 */

package com.sun.ts.tests.jsp.spec.core_syntax.actions.text;


import java.io.PrintWriter;
import com.sun.ts.lib.harness.EETest.Fault;
import com.sun.javatest.Status;

import com.sun.ts.tests.jsp.common.client.AbstractUrlClient;

public class URLClient extends AbstractUrlClient {
    /**
     * Entry point for different-VM execution.  It should delegate to method
     * run(String[], PrintWriter, PrintWriter), and this method should not
     * contain any test configuration.
     */
    public static void main(String[] args) {
        URLClient theTests = new URLClient();
        Status s = theTests.run(args, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }

    /**
     * Entry point for same-VM execution. In different-VM execution, the 
     * main method delegates to this method.
     */
    public Status run(String args[], PrintWriter out, PrintWriter err) {

        setContextRoot("/jsp_core_act_text_web");

        return super.run(args, out, err);
    }

    /*
     *   @class.setup_props:	 webServerHost;
     *				             webServerPort;
     *				             ts_home;
     *
     */

    /* Run test */

    /*
     * @testName: jspTextUsageContextTest
     * @assertion_ids: PENDING
     * @test_Strategy: Validate the behavior of jsp:text.
     */
    public void jspTextUsageContextTest() throws Fault {
        TEST_PROPS.setProperty(REQUEST,
            "GET /jsp_core_act_text_web/JspTextUsageContextTest1.jsp HTTP/1.1");
        TEST_PROPS.setProperty(SEARCH_STRING,
            "Template\nText|Template Text2");
        invoke();
        TEST_PROPS.setProperty(REQUEST,
            "GET /jsp_core_act_text_web/JspTextUsageContextTest2.jspx HTTP/1.1");
        TEST_PROPS.setProperty(SEARCH_STRING,
            "Template\nText|Template Text2");
        invoke();
        TEST_PROPS.setProperty(REQUEST,
            "GET /jsp_core_act_text_web/JspTextUsageContextTest3.jsp HTTP/1.1");
        TEST_PROPS.setProperty(SEARCH_STRING,
            "Template Text|Template\nText2");
        invoke();
    }

    /*
     * @testName: jspTextBodyRestrictionsTest
     * @assertion_ids: PENDING
     * @test_Strategy: Validate that neiter nested actions nor scripting
     *                 elements are allowed in the body of jsp:text.
     */
    public void jspTextBodyRestrictionsTest() throws Fault {
        TEST_PROPS.setProperty(REQUEST,
            "GET /jsp_core_act_text_web/JspTextBodyRestrictionsTest1.jsp HTTP/1.1");
        TEST_PROPS.setProperty(STATUS_CODE, INTERNAL_SERVER_ERROR);
        invoke();
        TEST_PROPS.setProperty(REQUEST,
            "GET /jsp_core_act_text_web/JspTextBodyRestrictionsTest2.jsp HTTP/1.1");
        TEST_PROPS.setProperty(STATUS_CODE, INTERNAL_SERVER_ERROR);
        invoke();
        TEST_PROPS.setProperty(REQUEST,
            "GET /jsp_core_act_text_web/JspTextBodyRestrictionsTest3.jsp HTTP/1.1");
        TEST_PROPS.setProperty(STATUS_CODE, INTERNAL_SERVER_ERROR);
        invoke();
        TEST_PROPS.setProperty(REQUEST,
            "GET /jsp_core_act_text_web/JspTextBodyRestrictionsTest4.jsp HTTP/1.1");
        TEST_PROPS.setProperty(STATUS_CODE, INTERNAL_SERVER_ERROR);
        invoke();
        TEST_PROPS.setProperty(REQUEST,
            "GET /jsp_core_act_text_web/JspTextBodyRestrictionsTest5.jspx HTTP/1.1");
        TEST_PROPS.setProperty(STATUS_CODE, INTERNAL_SERVER_ERROR);
        invoke();
    }
}
